<?php

namespace OpenAPI\Client;
use InvalidArgumentException;
use OpenAPI\Client\Model\SpeechResult;

// 流式响应处理器
class StreamResponseHandler
{

    /**
     * 语音转文字响应处理
     * @param SpeechResult $result 语音转文字结果
     */
    public function speechToTextHandle(SpeechResult $result): void
    {
        throw new InvalidArgumentException('调用speechToText方法，传入的StreamResponseHandler实例需要重写speechToTextHandle用以处理响应数据');
    }

    /**
     * 语音合成响应处理
     * @param string $result 语音合成结果
     */
    public function synthesizerHandle(string $result): void
    {
        throw new InvalidArgumentException('调用synthesizer方法，传入的StreamResponseHandler实例需要重写synthesizerHandle用以处理响应数据');
    }

}
